javascript - बाबेल 7 में अपग्रेड: नल की संपत्ति 'बाइंडिंग' को पढ़ा नहीं जा सकता



node.js babeljs (1)

अपने .babelrc फ़ाइल में, बदलें

{ "presets": ["env"] } 

सेवा मेरे

{ "presets": ["@babel/preset-env"] }

(और उस पैकेज को स्थापित करें यदि आपने पहले से नहीं किया है)।

अपने .babelrc आप अभी भी पैकेज babel-preset-env .babelrc babel-preset-env (जो कि 6.x के लिए है) को संदर्भित कर रहे हैं, आप इसके बजाय @babel/preset-env (जो 7.x के लिए है) को संदर्भित करना चाहते हैं।

https://github.com/babel/babel/issues/6186#issuecomment-366556833

मैं इन आदेशों को चलाकर केवल बबेल 7 (6 से) में उन्नत हुआ:

npm remove babel-cli
npm install --save-dev @babel/cli @babel/core @babel/preset-env

यहाँ मेरी .babelrc फ़ाइल है:

{ "presets": ["env"] }

फिर मैं भागा:

babel js/src --out-dir js/dist

और इसका परिणाम होता है:

TypeError: Cannot read property 'bindings' of null
    at Scope.moveBindingTo (/xyz/node_modules/@babel/traverse/lib/scope/index.js:867:13)
    at BlockScoping.updateScopeInfo (/xyz/node_modules/babel-plugin-transform-es2015-block-scoping/lib/index.js:364:17)
    at BlockScoping.run (/xyz/node_modules/babel-plugin-transform-es2015-block-scoping/lib/index.js:330:12)
    at PluginPass.BlockStatementSwitchStatementProgram (/xyz/node_modules/babel-plugin-transform-es2015-block-scoping/lib/index.js:70:24)
    at newFn (/xyz/node_modules/@babel/traverse/lib/visitors.js:193:21)
    at NodePath._call (/xyz/node_modules/@babel/traverse/lib/path/context.js:53:20)
    at NodePath.call (/xyz/node_modules/@babel/traverse/lib/path/context.js:40:17)
    at NodePath.visit (/xyz/node_modules/@babel/traverse/lib/path/context.js:88:12)
    at TraversalContext.visitQueue (/xyz/node_modules/@babel/traverse/lib/context.js:118:16)
    at TraversalContext.visitSingle (/xyz/node_modules/@babel/traverse/lib/context.js:90:19)

मैंने गलत क्या किया?





babeljs